<?php
/**
 * /api/pay/???
 * User: easyboom
 * Date: 2019/3/7
 * Time: 下午2:23
 */

use Illuminate\Support\Facades\Route;

// 打包商品下单
Route::get('/unify/supervip/{goods_type}', 'Order@unifyBySuperVip');

// 超级VIP支付结果通知
Route::post('/notify/supervip', 'Order@notifyBySuperVip');

// 获取内测邀请资格
Route::get('testsupvip/get', 'User\VipController@getTestQual');
// 内测开通超级会员通道
Route::put('/test/besupervip', "PartnerPay\VipController@beSupervip");
// 创建卡片领取超级会员
Route::put("/sendsupervip/by/storepartner", "PartnerPay\VipController@sendSuperVipByStorePartner");

// 发放普通会员
Route::get("/bevip", "User\VipController@beVip");

// 通过小花提升人气值时长
Route::put('/flower/paypopularity', 'PartnerPay\FlowerController@payPopularity');

// 订单取消支付
Route::put('order/{id}', 'Order@closeOrder');

// 优惠券列表
Route::get('coupons', 'CouponController@index');

Route::get('coupons/{id}', 'CouponController@show');

Route::post('coupons', 'CouponController@exchange');

// 为心动考验支付小花
Route::put('likeinvite/test', 'Deed\InvitationController@pay');